aboutsummaryrefslogtreecommitdiff
path: root/tests/test_files.sh
diff options
context:
space:
mode:
authorLasse Collin <lasse.collin@tukaani.org>2022-12-13 12:30:09 +0200
committerLasse Collin <lasse.collin@tukaani.org>2022-12-13 12:30:09 +0200
commit60f45bdbaa6b07558b3f4baac285739b0c6342f5 (patch)
tree24442be6a87145da84dd9d7d0909818db6b1218a /tests/test_files.sh
parentTranslations: Update the Catalan translation. (diff)
downloadxz-60f45bdbaa6b07558b3f4baac285739b0c6342f5.tar.xz
Tests: Add two ARM64 test files.
Diffstat (limited to 'tests/test_files.sh')
-rwxr-xr-xtests/test_files.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/tests/test_files.sh b/tests/test_files.sh
index ceb9197c..64d73081 100755
--- a/tests/test_files.sh
+++ b/tests/test_files.sh
@@ -75,6 +75,11 @@ do
have_feature DECODER_X86 "$I" || continue
;;
esac
+ case $I in
+ */good-1-arm64-lzma2-*.xz)
+ have_feature DECODER_ARM64 "$I" || continue
+ ;;
+ esac
if test -z "$XZ" || "$XZ" $NO_WARN -dc "$I" > /dev/null; then
: